/*
 * This file is a part of dump_systemstate from the crash-worker project.
 *
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#pragma once

#include "defs.h"

#define DUMP_SYSTEMSTATE_CONFIG_DIR_PROGRAMS_PATH \
	DUMP_SYSTEMSTATE_CONFIG_DIR_PATH "/programs"
#define DUMP_SYSTEMSTATE_CONFIG_DIR_FILES_PATH \
	DUMP_SYSTEMSTATE_CONFIG_DIR_PATH "/files"

struct extra_dump_item;

typedef int (*handle_ini_section_t)(int out_fd, struct extra_dump_item *);

int handle_extra_dir(int out_fd, char *dir_path, handle_ini_section_t handle_ini_section);
int handle_extra_file(int out_fd, struct extra_dump_item *item);
int handle_extra_program(int out_fd, struct extra_dump_item *item);

